package api

import (
	"net/http"
	"runtime"

	fccommon "git.inverse.ca/inverse/fingerbank-collector/common"

	"github.com/gin-gonic/gin"
)

func getDebug(c *gin.Context) {
	var memstats runtime.MemStats
	runtime.ReadMemStats(&memstats)
	c.JSON(http.StatusOK, gin.H{
		"gob_pool":  fccommon.GobPool.Stats(),
		"collector": collector.Stats(),
		"memstats":  memstats,
	})
}
