package fccommon

import (
	"time"

	"github.com/patrickmn/go-cache"
)

var Cache *cache.Cache

func init() {
	// Default expiration of 5 minutes, purge the cache every 10 minutes
	Cache = cache.New(5*time.Minute, 10*time.Minute)
}
