package fccommon

import (
	"net"
)

type DPIMetadata struct {
	Proto   string
	SrcPort uint16
	SrcIP   net.IP
	DstPort uint16
	DstIP   net.IP
}

func (m *DPIMetadata) GetSrcIP() net.IP {
	return m.SrcIP
}

func (m *DPIMetadata) GetDstIP() net.IP {
	return m.DstIP
}

func (m *DPIMetadata) GetSrcPort() uint16 {
	return m.SrcPort
}

func (m *DPIMetadata) GetDstPort() uint16 {
	return m.DstPort
}

func (m *DPIMetadata) GetProto() string {
	return m.Proto
}
