package fccommon

const (
	DHCP_FINGERPRINT       = "dhcp_fingerprint"
	DHCP_VENDOR            = "dhcp_vendor"
	HOSTNAME               = "hostname"
	OUI                    = "oui"
	DESTINATION_HOSTS      = "destination_hosts"
	MDNS_SERVICES          = "mdns_services"
	TCP_SYN_SIGNATURES     = "tcp_syn_signatures"
	TCP_SYN_ACK_SIGNATURES = "tcp_syn_ack_signatures"
	UPNP_SERVER_STRINGS    = "upnp_server_strings"
	UPNP_USER_AGENTS       = "upnp_user_agents"
	USER_AGENTS            = "user_agents"
)

var DIFF_THRESHOLD_HITS = map[string]int{
	DHCP_FINGERPRINT:       10,
	DHCP_VENDOR:            10,
	HOSTNAME:               3,
	OUI:                    3,
	DESTINATION_HOSTS:      5,
	MDNS_SERVICES:          5,
	TCP_SYN_SIGNATURES:     10,
	TCP_SYN_ACK_SIGNATURES: 10,
	UPNP_SERVER_STRINGS:    5,
	UPNP_USER_AGENTS:       5,
	USER_AGENTS:            5,
}

const (
	DIFF_SCORE_TOO_LOW_EVENT             = "diff_score_too_low"
	BLACKLISTED_IPS_THRESHOLD_TOO_HIGH   = "blacklisted_ips_threshold_too_high"
	BLACKLISTED_PORTS_THRESHOLD_TOO_HIGH = "blacklisted_ports"
)
