package fccommon

import "testing"

func TestRankByWordCountMapStringMapStringInt(t *testing.T) {
	data := map[string]map[string]int{
		"1": map[string]int{
			"1.1": 1,
			"1.2": 2,
		},
		"2": map[string]int{
			"2.1": 3,
			"2.2": 2,
		},
	}
	pl := RankByWordCountMapStringMapStringInt(data)
	if pl[0].Key != "2" {
		t.Error("Unexpected Key")
	}
	if pl[0].Value != 5 {
		t.Error("Unexpected Value")
	}
	if pl[1].Key != "1" {
		t.Error("Unexpected Key")
	}
	if pl[1].Value != 3 {
		t.Error("Unexpected Value")
	}

	data = map[string]map[string]int{
		"1": map[string]int{
			"1.1": 1,
		},
	}
	pl = RankByWordCountMapStringMapStringInt(data)
	if pl[0].Key != "1" {
		t.Error("Unexpected Key")
	}
	if pl[0].Value != 1 {
		t.Error("Unexpected Value")
	}
}
