//go:build cloudnac

package packetfence

import (
	"context"
	"fmt"

	"github.com/inverse-inc/packetfence/go/pfconfigdriver"
)

func RunsOnPacketFence(ctx context.Context) bool {
	return ConnectPfconfig(ctx)
}

func ConnectPfconfig(ctx context.Context) bool {
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Failed check cb8f0450-e1b7-11e7-80c1-9a214cf093ae:w")
		}
	}()

	general := pfconfigdriver.PfConfGeneral{}
	pfconfigdriver.FetchDecodeSocket(ctx, &general)

	if general.Domain == "" {
		fmt.Println("Failed check c4abd654-e1b7-11e7-80c1-9a214cf093ae")
		return false
	} else {
		return true
	}
}
